# CustomUV node — Material Maker documentation

# CustomUV node

The CustomUV node deforms an input image according to a custom UV map given as input.

## Inputs

The CustomUV node accepts two inputs:

- The Source inputs is the image to be deformed.

- The UV input is a color image whose red and green channels are used as U and V (X and Y in texture space) coordinates.

## Outputs

The CustomUV node outputs the deformed image.

## Parameters

The CustomUV node does not have any parameter.